From 4b9efb3a9d7af472574586a3c6cedb94ddc53264 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tv@fuzzy.cz>
Date: Tue, 18 Jun 2024 23:51:25 +0200
Subject: [PATCH v22b 25/29] review

---
 src/backend/access/table/tableamapi.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/backend/access/table/tableamapi.c b/src/backend/access/table/tableamapi.c
index a47527d490a..379b7df619e 100644
--- a/src/backend/access/table/tableamapi.c
+++ b/src/backend/access/table/tableamapi.c
@@ -91,6 +91,9 @@ GetTableAmRoutine(Oid amhandler)
 
 	Assert(routine->relation_estimate_size != NULL);
 
+	/* XXX shouldn't this check that _block is not set without _tuple?
+	 * Also, the commit message says _block is "local helper" but then
+	 * why would it be part of TableAmRoutine? */
 	Assert(routine->scan_sample_next_block != NULL);
 	Assert(routine->scan_sample_next_tuple != NULL);
 
-- 
2.45.2

